## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLValueFunctionQueryReturning

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface XMLValueFunctionQueryReturning

extends SQLQueryObject

A representation of the model object 'XML Value Function Query Returning'.

The following features are supported:

- `Returning Option`
- `Passing Option`
- `Value Function Query`

See Also:
  `SQLXMLQueryModelPackage.getXMLValueFunctionQueryReturning()`

Method Summary
`XMLPassingType` `getPassingOption()` Returns the value of the 'Passing Option' attribute.
`XMLReturningType` `getReturningOption()` Returns the value of the 'Returning Option' attribute.
`XMLValueFunctionQuery` `getValueFunctionQuery()` Returns the value of the 'Value Function Query' container reference.
`void` `setPassingOption(XMLPassingType value)` Sets the value of the '`Passing Option`' attribute.
`void` `setReturningOption(XMLReturningType value)` Sets the value of the '`Returning Option`' attribute.
`void` `setValueFunctionQuery(XMLValueFunctionQuery value)` Sets the value of the '`Value Function Query`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReturningOption

    XMLReturningType getReturningOption()

  Returns the value of the 'Returning Option' attribute. The literals are from the enumeration `XMLReturningType`.

  If the meaning of the 'Returning Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `setReturningOption(XMLReturningType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQueryReturning_ReturningOption()`

### setReturningOption

    void setReturningOption(XMLReturningType value)

  Sets the value of the '`Returning Option`' attribute.

  Parameters:
    `value` - the new value of the 'Returning Option' attribute.
  See Also:
    `XMLReturningType`, `getReturningOption()`

### getPassingOption

    XMLPassingType getPassingOption()

  Returns the value of the 'Passing Option' attribute. The literals are from the enumeration `XMLPassingType`.

  If the meaning of the 'Passing Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Passing Option' attribute.
  See Also:
    `XMLPassingType`, `setPassingOption(XMLPassingType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQueryReturning_PassingOption()`

### setPassingOption

    void setPassingOption(XMLPassingType value)

  Sets the value of the '`Passing Option`' attribute.

  Parameters:
    `value` - the new value of the 'Passing Option' attribute.
  See Also:
    `XMLPassingType`, `getPassingOption()`

### getValueFunctionQuery

    XMLValueFunctionQuery getValueFunctionQuery()

  Returns the value of the 'Value Function Query' container reference. It is bidirectional and its opposite is '`Query Returning`'.

  If the meaning of the 'Value Function Query' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Query' container reference.
  See Also:
    `setValueFunctionQuery(XMLValueFunctionQuery)`, `SQLXMLQueryModelPackage.getXMLValueFunctionQueryReturning_ValueFunctionQuery()`, `XMLValueFunctionQuery.getQueryReturning()`

### setValueFunctionQuery

    void setValueFunctionQuery(XMLValueFunctionQuery value)

  Sets the value of the '`Value Function Query`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Query' container reference.
  See Also:
    `getValueFunctionQuery()`